package de.lmu.ifi.medien.control;

import java.awt.Dimension;
import java.awt.Point;
import java.awt.image.BufferedImage;

import javax.media.Control;

/**
 * The interface for controlling the LowerThirdCodec
 * @author Sebastian Boring
 */
public interface LowerThirdCodecControl extends Control
{
	public void setLocation(Point location);
	public Point getLocation();
	
	public void setSize(Dimension size);
	public Dimension getSize();
	public int getWidth();
	public int getHeight();
	
	public void setImage(BufferedImage image);
	public BufferedImage getImage();
	
	public void setActive(boolean active);
	public boolean isActive();
}
